--- modules/gui/qt4/components/open.cpp	Mon Sep 10 21:11:25 2007
+++ modules/gui/qt4/components/open.cpp	Mon Sep 10 21:11:48 2007
@@ -250,7 +250,24 @@
 {
     ui.setupUi( this );
 
-    /*Win 32 Probe  as in WX ? */
+#if WIN32
+    char szDrives[512];
+    szDrives[0] = '\0';
+    if( GetLogicalDriveStringsA( sizeof( szDrives ) - 1, szDrives ) )
+    {
+        char *drive = szDrives;
+        UINT oldMode = SetErrorMode( SEM_FAILCRITICALERRORS );
+        while( *drive )
+        {
+            if( GetDriveTypeA(drive) == DRIVE_CDROM )
+                ui.deviceCombo->addItem( drive );
+
+            /* go to next drive */
+            while( *(drive++) );
+        }
+        SetErrorMode(oldMode);
+    }
+#endif
 
     /* CONNECTs */
     BUTTONACT( ui.dvdRadioButton, updateButtons());
